package de.mannheim.ids.sruws;

import java.util.ArrayList;
import java.util.List;

public class Corpus {
	String name;
	String pid;
	List<String[]> tokenizedSentences;
	
	public Corpus(String pid, String name) {
		this.pid = pid;
		this.name = name;
		tokenizedSentences =new ArrayList<String[]>();
	}
	
	public void addSentence(String sentence){
		tokenizedSentences.add(sentence.split("\\s+"));
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	public List<String[]> getTokenizedSentences() {
		return tokenizedSentences;
	}
	public void setTokenizedSentences(List<String[]> tokenizedSentences) {
		this.tokenizedSentences = tokenizedSentences;
	}

	
	
}
